Help with building LLVM 2.6 GCC

Hi Aaron, Duncan

Thanks for the answers.

From Duncan's e-mail, I've tried to build llvm-2.6. First problem was

a missing dependence on lbffi.so.4.
But I've downloaded the source from redhat, compiled and passed that point.

Now I have another missing dependence on GLIBCXX_3.4.9. The version in
my system is 3.4.6-11.
I've been looking around for a 3.4.9 rpm for redhat, could not find
it. Does anybody know where I
can find it?

According to Aaron, I need gcc 4.2.4 (I'm currently using 4.2.1). If I
upgrade, would these missing
dependencies go away?

Many thanks for the help.

Regards

Eliseu

Hi Eliseu,

Now I have another missing dependence on GLIBCXX_3.4.9. The version in
my system is 3.4.6-11.

how does this missing dependence manifest itself?

Ciao,

Duncan.

Hi Duncan

These are the last lines of "make" before it stops with an error:

Building Intrinsics.gen.tmp from Intrinsics.td
/home/eliseuf/tools/src/llvm/llvm-2.6/Release/bin/tblgen:
/usr/lib64/libstdc++.so.6: version `GLIBCXX_3.4.9' not found
(required by /home/eliseuf/tools/src/llvm/llvm-2.6/Release/bin/tblgen)
*** [/home/eliseuf/tools/src/llvm/llvm-2.6/lib/VMCore/Release/Intrinsics.gen.tmp]
Error 1

In my system, if I go to "/usr/lib64" and do "rpm -qa | grep
libstdc++", I get libstdc++-3.4.6-11 . That's why I am looking
for libstdc++ version 3.4.9 to install, but can't find an rpm for redhat.

Thanks for your help.

Eliseu